Bug 143149 - No application association for fonts
No application association for fonts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-16 16:20 EST by Carl Worth
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-17 05:07:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Worth 2004-12-16 16:20:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
After a fresh install of FC3, double-clicking on a font in the
fonts:/// view results in an error message dialog.

Version-Release number of selected component (if applicable):
nautilus-2.8.1-4

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 3
2. In nautilus, hit Ctrl-L and type fonts:///
3. Double click any icon
    

Actual Results:  I get an error dialog of the form:

Can't Display Location

Couldn't display "fonts:///Bitstream%20Vera%20Sans".

Expected Results:  1) There should be a default association to
gnome-font-viewer so
   that a font preview is displayed.

2) Even in the absence of that, it should prompt me as to what
   application I would like to use rather than just giving the error
   message.

Additional info:
Comment 1 Alexander Larsson 2004-12-17 04:19:14 EST
gnome-font-viewer is in control-center. It needs to have the font
mimetypes in its desktop file.

I agree that the error message is a bit bad though, but you can open
it with "open with other application...".
Comment 2 petrosyan 2005-06-16 13:31:01 EDT
This bug has been fixed in Fedora Core 4.

Note You need to log in before you can comment on or make changes to this bug.